﻿using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CustomColumnColors
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.ColumnChart;
            ultraChart1.DataSource = GetEmployeeOptions();
           
            //Note, Overrides override eachother.

            Override override1 = new Override();
            override1.Column = -2; // match all data columns
            override1.Row = -2; // match all rows;
            override1.PE =
              new PaintElement(Color.Blue);
            this.ultraChart1.Override.Add(override1);
            Override override2 = new Override();
            override2.Column = 0; // column #1 only
            override2.Row = 1; // modify first data row
            override2.PE = new PaintElement(Color.Red);
            this.ultraChart1.Override.Add(override2);
            Override override3 = new Override();
            override3.Column = 0; // column #1 only
            override3.Row = 7; // row 7 only
            override3.PE = new PaintElement(Color.Red);
            this.ultraChart1.Override.Add(override3);
            this.ultraChart1.Override.Enabled = true;
        }

        private DataTable GetEmployeeOptions()
        {
            DataTable dtData = new DataTable("EmployeeOptions");

            dtData.Columns.Add("ID", typeof(int));
            
            dtData.Columns.Add("Option", typeof(string));
            dtData.Columns.Add("Description", typeof(string));


            for (int i = 0; i < 8; i++)
            {
                dtData.Rows.Add(new object[] { i +1, string.Format("Day {0}", i), String.Format("Option Description {0}", i) });
            }

            dtData.PrimaryKey = new DataColumn[] { dtData.Columns["OptionID"] };

            return dtData;
        }
    }
}
